shishi_safe_set_cksum(3)

NAME
shishi_safe_set_cksum - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_set_cksum(Shishi * handle, Shishi_asn1 safe, int32_t cksumtype, const char * cksum, size_t cksumlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 safe
    safe as allocated by shishi_safe().

int32_t cksumtype
    input checksum type to store in SAFE.

const char * cksum
    input checksum data to store in SAFE.

size_t cksumlen
    size of input checksum data to store in SAFE.

DESCRIPTION
Store checksum value in SAFE. A checksum is usually created by calling shishi_checksum() on some application specific data using the key from the ticket that is being used. To save time, you may want to use shishi_safe_build() instead, which calculates the checksum and calls this function in one step.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.